Bug 848990 (libnetfilter_acct) - Review Request: libnetfilter_acct - A library providing interface to extended accounting infrastructure
Summary: Review Request: libnetfilter_acct - A library providing interface to extended...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: libnetfilter_acct
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nfacct
TreeView+ depends on / blocked
 
Reported: 2012-08-17 02:19 UTC by Hushan Jia
Modified: 2013-02-02 19:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-31 03:21:11 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Hushan Jia 2012-08-17 02:19:28 UTC
Spec URL: https://sites.google.com/site/hushanjia/libnetfilter_acct.spec
SRPM URL: https://sites.google.com/site/hushanjia/libnetfilter_acct-1.0.0-1.fc16.src.rpm
Description: libnetfilter_acct is the userspace library providing interface to extended accounting infrastructure.
libnetfilter_acct is used by nfacct.

Fedora Account System Username: hushan

Comment 1 Hushan Jia 2012-08-17 02:26:04 UTC
rpmlint:

$ rpmlint SPECS/libnetfilter_acct.spec RPMS/x86_64/libnetfilter_acct-1.0.0-1.fc16.x86_64.rpm RPMS/x86_64/libnetfilter_acct-devel-1.0.0-1.fc16.x86_64.rpm SRPMS/libnetfilter_acct-1.0.0-1.fc16.src.rpm 
libnetfilter_acct.x86_64: W: spelling-error %description -l en_US libnetfilter -> filibusterer
libnetfilter_acct.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
libnetfilter_acct.x86_64: W: spelling-error %description -l en_US nfacct -> fact
libnetfilter_acct-devel.x86_64: W: spelling-error Summary(en_US) libnetfilter -> filibusterer
libnetfilter_acct-devel.x86_64: W: spelling-error %description -l en_US libnetfilter -> filibusterer
libnetfilter_acct.src: W: spelling-error %description -l en_US libnetfilter -> filibusterer
libnetfilter_acct.src: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
libnetfilter_acct.src: W: spelling-error %description -l en_US nfacct -> fact
3 packages and 1 specfiles checked; 0 errors, 8 warnings.

Comment 2 Hushan Jia 2012-08-17 02:27:51 UTC
scratch build:
koji.fedoraproject.org/koji/taskinfo?taskID=4397905

Comment 4 Mario Blättermann 2012-10-28 18:06:06 UTC
Remove COPYING from the -devel package. It is present anyway due to that the base package is required by the -devel package.

Requires:       %{name} = %{version}-%{release}
has to be
Requires:       %{name}%{?_isa} = %{version}-%{release}
because your package is not arch-independent.


rm -rf $RPM_BUILD_ROOT
is an artifact from older Fedora releases. It is obsolete since F10/EPEL6.

Explicit versioning of libmnl-devel in BuildRequires is not needed, all supported releases (even EPEL5) have at least libmnl-devel-1.0.1.

Comment 5 Account closed by user 2012-11-17 12:03:45 UTC
ping!

Comment 6 Hushan Jia 2012-11-17 23:08:32 UTC
I'm submitting fixed review, sorry for delay.

Comment 7 Hushan Jia 2012-11-27 19:54:43 UTC
rm -rf $RPM_BUILD_ROOT is needed for building el5 packages.

Comment 8 Mario Blättermann 2012-11-27 19:59:28 UTC
(In reply to comment #7)
> rm -rf $RPM_BUILD_ROOT is needed for building el5 packages.

Yes, of course, but in this case you have to add more than that:
http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5
You will need a BuildRoot tag and a %clean section, in addition to the initial cleaning of $RPM_BUILD_ROOT in %install.

Comment 9 Hushan Jia 2012-11-27 20:21:40 UTC
SPEC:
http://hushan.fedorapeople.org/pkgs/libnetfilter_acct.spec
SRPM:
http://hushan.fedorapeople.org/pkgs/libnetfilter_acct-1.0.0-1.fc16.src.rpm

I have fixed requires and buildrequires tag, and fix the el5 requirements, please review.

Comment 10 Hushan Jia 2012-11-28 01:09:13 UTC
release number is bumped to 2.

Comment 11 Hushan Jia 2012-11-30 01:10:19 UTC
Hi Mario,
can you review the updated?

Thanks.

Comment 12 Mario Blättermann 2012-11-30 19:22:04 UTC
(In reply to comment #11)
> Hi Mario,
> can you review the updated?
> 
> Thanks.

Yes, I can. But keep in mind, I'm not online 24 hours a day. Be more patient, it is not needed to ping me once in two days. I remember, there were almost three weeks (and an extra ping from someone else) between my first comment and your response.

BTW, normally you have to bump the release tag after any change in the spec file, even in the pre-Git state. Currently the "Release" tag doesn't match the last %changelog entry. Moreover, the *src.rpm doesn't include a spec file. Please provide new files, and I will continue reviewing.

Comment 13 Hushan Jia 2012-12-02 00:34:18 UTC
sorry, I made a mistake, the fc16 .src.rpm is not the rpm I built on my laptop, I have correct the links now:

SPEC:
http://hushan.fedorapeople.org/pkgs/libnetfilter_acct.spec
SOURCE RPM:
http://hushan.fedorapeople.org/pkgs/libnetfilter_acct-1.0.0-2.el6.src.rpm

Comment 14 Paulo Andrade 2012-12-09 13:42:02 UTC
Just correcting component and removing assignment to myself :-)

Comment 15 Hushan Jia 2012-12-10 02:22:14 UTC
sorry, this was an accident, I didn't realized the component was changed...

Comment 16 Mario Blättermann 2012-12-17 09:48:47 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4796200


$ rpmlint -i -v *
libnetfilter_acct.src: I: checking
libnetfilter_acct.src: W: spelling-error %description -l en_US libnetfilter -> filibusterer
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct.src: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct.src: W: spelling-error %description -l en_US nfacct -> fact
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct.src: I: checking-url http://www.netfilter.org/projects/libnetfilter_acct/index.html (timeout 10 seconds)
libnetfilter_acct.src: I: checking-url http://www.netfilter.org/projects/libnetfilter_acct/files/libnetfilter_acct-1.0.0.tar.bz2 (timeout 10 seconds)
libnetfilter_acct.i686: I: checking
libnetfilter_acct.i686: W: spelling-error %description -l en_US libnetfilter -> filibusterer
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct.i686: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct.i686: W: spelling-error %description -l en_US nfacct -> fact
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct.i686: I: checking-url http://www.netfilter.org/projects/libnetfilter_acct/index.html (timeout 10 seconds)
libnetfilter_acct.x86_64: I: checking
libnetfilter_acct.x86_64: W: spelling-error %description -l en_US libnetfilter -> filibusterer
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct.x86_64: W: spelling-error %description -l en_US nfacct -> fact
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct.x86_64: I: checking-url http://www.netfilter.org/projects/libnetfilter_acct/index.html (timeout 10 seconds)
libnetfilter_acct-debuginfo.i686: I: checking
libnetfilter_acct-debuginfo.i686: W: spelling-error Summary(en_US) libnetfilter -> filibusterer
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct-debuginfo.i686: W: spelling-error %description -l en_US libnetfilter -> filibusterer
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct-debuginfo.i686: I: checking-url http://www.netfilter.org/projects/libnetfilter_acct/index.html (timeout 10 seconds)
libnetfilter_acct-debuginfo.x86_64: I: checking
libnetfilter_acct-debuginfo.x86_64: W: spelling-error Summary(en_US) libnetfilter -> filibusterer
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct-debuginfo.x86_64: W: spelling-error %description -l en_US libnetfilter -> filibusterer
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct-debuginfo.x86_64: I: checking-url http://www.netfilter.org/projects/libnetfilter_acct/index.html (timeout 10 seconds)
libnetfilter_acct-devel.i686: I: checking
libnetfilter_acct-devel.i686: W: spelling-error Summary(en_US) libnetfilter -> filibusterer
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct-devel.i686: W: spelling-error %description -l en_US libnetfilter -> filibusterer
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct-devel.i686: I: checking-url http://www.netfilter.org/projects/libnetfilter_acct/index.html (timeout 10 seconds)
libnetfilter_acct-devel.x86_64: I: checking
libnetfilter_acct-devel.x86_64: W: spelling-error Summary(en_US) libnetfilter -> filibusterer
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct-devel.x86_64: W: spelling-error %description -l en_US libnetfilter -> filibusterer
The value of this tag appears to be misspelled. Please double-check.

libnetfilter_acct-devel.x86_64: I: checking-url http://www.netfilter.org/projects/libnetfilter_acct/index.html (timeout 10 seconds)
libnetfilter_acct.spec: I: checking-url http://www.netfilter.org/projects/libnetfilter_acct/files/libnetfilter_acct-1.0.0.tar.bz2 (timeout 10 seconds)
7 packages and 1 specfiles checked; 0 errors, 17 warnings.

Some ignorable spelling errors, nothing of interest so far.



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    LGPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    567ede1f54fbf2ffd752203ea3aea6f430244fb29bd943af58d1d0f4b1796dc9  libnetfilter_acct-1.0.0.tar.bz2
    567ede1f54fbf2ffd752203ea3aea6f430244fb29bd943af58d1d0f4b1796dc9  libnetfilter_acct-1.0.0.tar.bz2.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[+] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------


Don't forget to remove the EPEL5-only stuff (as already discussed in comment #8) when importing the package into the other Git branches.

Comment 17 Hushan Jia 2012-12-18 14:01:24 UTC
thanks for reviewing.

Comment 18 Hushan Jia 2012-12-18 14:09:15 UTC
New Package SCM Request
=======================
Package Name: libnetfilter_acct
Short Description: A library providing interface to extended accounting infrastructure.
Owners: hushan
Branches: f18 f17 f16 el6 el5

Comment 19 Gwyn Ciesla 2012-12-18 14:23:06 UTC
Git done (by process-git-requests).

Comment 20 Hushan Jia 2012-12-18 23:58:35 UTC
thanks for git repo setup.

Comment 21 Fedora Update System 2012-12-20 03:09:30 UTC
libnetfilter_acct-1.0.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libnetfilter_acct-1.0.0-2.fc18

Comment 22 Fedora Update System 2012-12-20 03:12:16 UTC
libnetfilter_acct-1.0.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libnetfilter_acct-1.0.0-2.fc17

Comment 23 Fedora Update System 2012-12-20 03:13:39 UTC
libnetfilter_acct-1.0.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libnetfilter_acct-1.0.0-2.fc16

Comment 24 Fedora Update System 2012-12-20 03:15:07 UTC
libnetfilter_acct-1.0.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libnetfilter_acct-1.0.0-2.el6

Comment 25 Fedora Update System 2012-12-21 00:32:09 UTC
libnetfilter_acct-1.0.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 26 Fedora Update System 2012-12-31 03:21:14 UTC
libnetfilter_acct-1.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 27 Fedora Update System 2012-12-31 03:29:57 UTC
libnetfilter_acct-1.0.0-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 28 Fedora Update System 2013-01-11 23:25:57 UTC
libnetfilter_acct-1.0.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 29 Fedora Update System 2013-02-02 19:40:15 UTC
libnetfilter_acct-1.0.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.